Update a domain certificate authority of an event broker service

A domain certificate authority is a trusted root or intermediate certificate that the event broker service uses to validate server certificates for outbound TLS connections.

Certificate content is write-only and is never returned.

The request replaces the certificate content of the domain certificate authority.

You cannot change the name of a certificate authority. To rename it, delete it and create it again with the new name.

You cannot update a certificate authority that was created without a client or domain type. The request returns 400 Bad Request. Delete the certificate authority and create it again as a client or domain certificate authority.

This request is asynchronous. The response contains an operation ID that you can use to poll for completion using Get the status of a service operation.

Your token must have one of the permissions listed in the Token Permissions.



Token Permissions: [ mission_control:access or service_requests:post:certificate_authentication ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the event broker service.

string
required

The name of the certificate authority.

Body Params

The new certificate content you want to use.

string
required
length ≥ 1

The PEM-encoded X.509 certificate. Provide exactly one certificate. This field is write-only and is never returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*